import { NotificationType, RequestType } from 'vscode-languageclient';
import * as sqlops from 'sqlops';
import { ITelemetryEventProperties, ITelemetryEventMeasures } from './telemetry';
/**
 * Event sent when the language service send a telemetry event
 */
export declare namespace TelemetryNotification {
    const type: NotificationType<TelemetryParams, void>;
}
/**
 * Update event parameters
 */
export declare class TelemetryParams {
    params: {
        eventName: string;
        properties: ITelemetryEventProperties;
        measures: ITelemetryEventMeasures;
    };
}
export interface AgentJobsParams {
    ownerUri: string;
    jobId: string;
}
export interface AgentJobsResult {
    succeeded: boolean;
    errorMessage: string;
    jobs: sqlops.AgentJobInfo[];
}
export interface AgentJobHistoryParams {
    ownerUri: string;
    jobId: string;
}
export interface AgentJobHistoryResult {
    succeeded: boolean;
    errorMessage: string;
    jobs: sqlops.AgentJobHistoryInfo[];
}
export interface AgentJobActionParams {
    ownerUri: string;
    jobName: string;
    action: string;
}
export interface AgentJobActionResult {
    succeeded: boolean;
    errorMessage: string;
}
export declare namespace AgentJobsRequest {
    const type: RequestType<AgentJobsParams, AgentJobsResult, void, void>;
}
export declare namespace AgentJobHistoryRequest {
    const type: RequestType<AgentJobHistoryParams, AgentJobHistoryResult, void, void>;
}
export declare namespace AgentJobActionRequest {
    const type: RequestType<AgentJobActionParams, AgentJobActionResult, void, void>;
}
