import { RequestType } from 'vscode-languageclient';
import * as sqlops from 'sqlops';
export declare namespace CreateFirewallRuleRequest {
    const type: RequestType<CreateFirewallRuleParams, CreateFirewallRuleResponse, void, void>;
}
export declare namespace HandleFirewallRuleRequest {
    const type: RequestType<HandleFirewallRuleParams, HandleFirewallRuleResponse, void, void>;
}
export interface CreateFirewallRuleParams {
    account: sqlops.Account;
    serverName: string;
    startIpAddress: string;
    endIpAddress: string;
    securityTokenMappings: {};
}
export interface CreateFirewallRuleResponse {
    result: boolean;
    errorMessage: string;
}
export interface HandleFirewallRuleParams {
    errorCode: number;
    errorMessage: string;
    connectionTypeId: string;
}
export interface HandleFirewallRuleResponse {
    result: boolean;
    ipAddress: string;
}
